# $Revision: 1.35 $, $Date: 2004/11/01 17:18:42 $
Summary:	Free Flight Simulator
Summary(pl):	darmowy symulator lotu
Name:		FlightGear
Version:	0.9.6
Release:	1
License:	GPL
Group:		X11/Applications/Games
Source0:	ftp://ftp.flightgear.org/pub/fgfs/Source/%{name}-%{version}.tar.gz
# Source0-md5:	ab6e8826a392eaa15bd0224eba2f2a38
Source1:	ftp://ftp.flightgear.org/pub/fgfs/Shared/fgfs-base-%{version}.tar.bz2
# Source1-md5:	fc167ed777d2fe184940541670bc72b1
Source2:	ftp://ftp.flightgear.org/pub/fgfs/Everything-0.7/Base-Packages/fgfs-docs-0.7.7.tar.gz
# Source2-md5:	31f35d3e63e522565e8990ead99e7507
Patch0:		%{name}-libs.patch
URL:		http://www.flightgear.org/
BuildRequires:	OpenAL-devel
BuildRequires:	OpenGL-devel
BuildRequires:	SimGear-devel >= 0.3.6
BuildRequires:	XFree86-devel
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	findutils
BuildRequires:	glut-devel
BuildRequires:	libstdc++-devel
BuildRequires:	metakit-devel >= 2.4.3
BuildRequires:	plib-devel >= 1.8.0
BuildRequires:	zlib-devel
Requires:	OpenGL
Requires:	SimGear >= 0.3.6
Requires:	plib >= 1.8.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define _noautoreqdep	libGL.so.1 libGLU.so.1 libGLcore.so.1

%description
The Flight Gear project is working to create a sophisticated flight
simulator framework for the development and pursuit of interesting
flight simulator ideas. We are developing a solid basic sim that can
be expanded and improved upon by anyone interested in contributing.

%description -l pl
Projet Flight Gear to wyrafinowany symulator lotw pozwalajcy
rozpowszechnia idee tego typu symulacji.

%prep
%setup -q -a 1 -a 2
%patch0 -p1
find %{name} -name 'CVS' -type d | xargs rm -rf

%build
rm -f missing
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	--with-network-olk \
	--with-multiplayer \
	--libdir=%{_datadir}/games
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/games

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

echo "#!/bin/sh" > runfgfs
echo "exec %{_bindir}/fgfs --fg-root=%{_datadir}/games/%{name} \$*" >> runfgfs
install runfgfs $RPM_BUILD_ROOT%{_bindir}
cp -a %{name} $RPM_BUILD_ROOT%{_datadir}/games
cp -R data $RPM_BUILD_ROOT%{_datadir}/games/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS NEWS %{name}/Docs/*
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_sbindir}/*
%{_datadir}/games/%{name}
%{_mandir}/*/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: FlightGear.spec,v $
Revision 1.35  2004/11/01 17:18:42  adamg
- updated to 0.9.6

Revision 1.34  2004/08/01 17:14:06  grzegol
- updated to 0.9.5

Revision 1.33  2004/04/11 14:52:35  adamg
- in this particular case, libdir == datadir
- release 2

Revision 1.32  2004/04/06 09:33:28  zagrodzki
- updated to 0.9.4

Revision 1.31  2004/03/21 17:35:02  grzegol
- rel. 2 to rebuild with plib-1.8.0
- added R: SimGear >= 0.3.4-2 and R: plib >= 1.8.0

Revision 1.30  2003/11/11 21:57:34  grzegol
- updated to 0.9.3
- s/BR: plib/BR: plib-devel/

Revision 1.29  2003/08/18 08:07:51  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.28  2003/08/02 20:18:15  grzegol
- BR: SimGear >= 0.3.3

Revision 1.27  2003/08/02 20:17:30  grzegol
- updated to 0.9.2
- added --with-multiplayer
- move data to /usr/share/games
- install base data (SOURCE1)
- simplifications

Revision 1.26  2003/07/06 23:27:13  blues
- many small fixes, mostly inpired by kloczek

Revision 1.25  2003/05/26 16:24:18  malekith
- massive attack: adding Source-md5

Revision 1.24  2003/05/25 05:45:21  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.23  2003/01/18 22:46:46  juandon
- removed two lines with define

Revision 1.22  2002/10/10 21:06:39  filon
- build requires metakit-devel >= 2.4.3

Revision 1.21  2002/10/09 13:14:13  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.20  2002/09/14 08:33:43  zagrodzki
- remove CVS directories

Revision 1.19  2002/09/13 19:31:26  zagrodzki
- updated to 0.8.0
- STBR

Revision 1.18  2002/09/02 09:40:33  qboosh
- removed /usr/X11R6/man/man1 dir from package, release 3

Revision 1.17  2002/08/30 02:21:38  kloczek
- release 2.

Revision 1.16  2002/08/28 22:31:17  aflinta
- added ac_fix patch
- updated %files

Revision 1.15  2002/06/23 20:30:52  kloczek
- use new %doc.

Revision 1.14  2002/05/21 23:12:35  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.13  2002/05/11 12:35:41  kloczek
- cosmetics.

Revision 1.12  2002/05/10 21:59:31  mmazur
- updated to 0.7.10; rel1; STBR (if it builds it's ok... if not, I'll fix)

Revision 1.11  2002/04/23 18:39:27  zytek
- typo (I don't know what means "typo" but what I did is a "typo", I think..)

Revision 1.10  2002/03/24 23:28:12  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.9  2002/02/22 23:28:37  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:12:10  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/08/18 14:57:18  filon
- small description translation change

Revision 1.6  2001/06/16 14:14:11  kloczek
- cosmetics.

Revision 1.5  2001/06/13 13:50:52  zagrodzki
- release 2
- s/datadir/libdir

Revision 1.4  2001/04/22 21:04:57  kloczek
- cosmetics.

Revision 1.3  2001/04/22 14:30:57  misiek
added libGLcore.so.1 to _noautoreqdep

Revision 1.2  2001/04/22 10:06:26  misiek
- BuildRequires: metakit-devel findutils
- added descriptions and changed Group

Revision 1.1  2001/04/22 02:44:01  zagrodzki
- initial release. Not ready yet. Please update summary, descriptions and etc.
